{
  "format_version": "1.21.0",
  "minecraft:item": {
    "description": {
      "identifier": "silverlabs:banger",
      "menu_category": {
        "category": "equipment"
      }
    },
    "components": {
      "minecraft:icon": "banger",
      "minecraft:display_name": {
        "value": "Banger"
      },
      "minecraft:max_stack_size": 16,
      "minecraft:hand_equipped": true,
      "minecraft:throwable": {
        "do_swing_animation": true,
        "max_draw_duration": 0,
        "scale_power_by_draw_duration": false
      },
      "minecraft:projectile": {
        "projectile_entity": "silverlabs:thrown_banger"
      }
    }
  }
}
